Bug 772070 - [RFE] Subscription-manager UI redesign (in firstboot)
Summary: [RFE] Subscription-manager UI redesign (in firstboot)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Milan Zázrivec
QA Contact: Jiří Mikulka
URL:
Whiteboard:
Depends On: 786841
Blocks: 738066 768419 790938 818076
TreeView+ depends on / blocked
 
Reported: 2012-01-05 21:21 UTC by Mike Khusid
Modified: 2014-10-06 13:46 UTC (History)
9 users (show)

Fixed In Version: rhn-client-tools-1.0.0-82.el6
Doc Type: Enhancement
Doc Text:
Cause: N/A Consequence: N/A Fix: N/A Result: firstboot UI has been slightly redesigned to improve usability of the firstboot system registration.
Clone Of: 768419
Environment:
Last Closed: 2012-06-20 12:00:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0752 normal SHIPPED_LIVE rhn-client-tools and yum-rhn-plugin bug fix and enhancement update 2012-06-19 19:31:17 UTC

Description Mike Khusid 2012-01-05 21:21:13 UTC
+++ This bug was initially created as a clone of Bug #768419 +++

Red Hat Customer Support has experienced a high level of customer calls regarding usability of the subscription manager. This RFE aims to address usability issues by redesigning the subscription manager GUI and adding new CLI options.

Comment 2 Milan Zázrivec 2012-01-06 10:16:50 UTC
Previous comment says some of the rhn-client-tools dialogs should change
b/c of the redesign, but from the diagram provided it's not entirely
clear which of the GUI dialogs should be owned by SM and which by
rhn-client-tools, which are new and which are modifications of the existing
ones.

Comment 8 Milan Zázrivec 2012-03-06 10:21:55 UTC
spacewalk.git master:
ca37a83b3a55fafe222a61b57ce1760dc383185b
2d6a0b2d2f26840974b06f1f279df9be478f5e9a
58d1a55a8d6495b6ea8e25093003194538975ed1
b13abc176eacc273ba479a9b4b405a6bf23f2658

Comment 11 Milan Zázrivec 2012-03-14 14:59:01 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: N/A

Consequence: N/A

Fix: N/A

Result: firstboot UI has been slightly redesigned to improve usability of the firstboot system registration.

Comment 13 errata-xmlrpc 2012-06-20 12:00:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0752.html


Note You need to log in before you can comment on or make changes to this bug.